﻿#language: ru

@piece_rate_calculation

Функционал: 08_piece_rate_calculation.02.002 Установка правил учета операций

Сценарий: 08_piece_rate_calculation.02.002 Установка правил учета операций для кнопки Варки сыра
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Установки правил учета операций'
	Тогда открылось окно 'Установки правил учета операций'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка правил учета операций (создание)'
	И я нажимаю кнопку выбора у поля "Кнопка учетной точки"
	Тогда открылось окно 'Кнопки учетных точек'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' | 'Учетная точка' |
		| 'Варки сыра'   | 'Сырцех'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в поле 'Начало действия' я ввожу текст '01.01.2020 12:00:00'
	И я перехожу к закладке "Правила"
	И в таблице "ПравилаУчетаОпераций" я добавляю строку
	И в таблице "ПравилаУчетаОпераций" из выпадающего списка "Тип документа" я выбираю точное значение 'Переработка'
	И в таблице "ПравилаУчетаОпераций" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции выработки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'По спецификации' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в таблице "ПравилаУчетаОпераций" я завершаю редактирование строки
	И в таблице "ПравилаУчетаОпераций" я перехожу к строке:
		| 'N' | 'По номенклатуре' | 'Характеристика'    |
		| '1' | 'Нет'             | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ПравилаУчетаОперацийКонтекстноеМенюУдалить' на элементе формы с именем "ПравилаУчетаОпераций"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка правил учета операций (создание) *' в течение 20 секунд
	Тогда открылось окно 'Установки правил учета операций'
	И Я закрываю окно 'Установки правил учета операций'

Сценарий: 08_piece_rate_calculation.02.002 Установка правил учета операций для кнопки Выпуск сыра
	И В командном интерфейсе я выбираю 'Производство' 'Установки правил учета операций'
	Тогда открылось окно 'Установки правил учета операций'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка правил учета операций (создание)'
	И я нажимаю кнопку выбора у поля "Кнопка учетной точки"
	Тогда открылось окно 'Кнопки учетных точек'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' | 'Учетная точка' |
		| 'Выпуск сыра'  | 'Посолка'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в поле 'Начало действия' я ввожу текст '01.01.2020 12:00:00'
	И я перехожу к закладке "Правила"
	И в таблице "ПравилаУчетаОпераций" я добавляю строку
	И в таблице "ПравилаУчетаОпераций" из выпадающего списка "Тип документа" я выбираю точное значение 'Переработка'
	И в таблице "ПравилаУчетаОпераций" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции выработки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'По спецификации' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в таблице "ПравилаУчетаОпераций" я завершаю редактирование строки
	И в таблице "ПравилаУчетаОпераций" я перехожу к строке:
		| 'N' | 'По номенклатуре' | 'Характеристика'    |
		| '1' | 'Нет'             | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ПравилаУчетаОперацийКонтекстноеМенюУдалить' на элементе формы с именем "ПравилаУчетаОпераций"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка правил учета операций (создание) *' в течение 20 секунд
	Тогда открылось окно 'Установки правил учета операций'
	И Я закрываю окно 'Установки правил учета операций'

Сценарий: 08_piece_rate_calculation.02.002 Установка правил учета операций для кнопки Перемещения между камерами
	И В командном интерфейсе я выбираю 'Производство' 'Установки правил учета операций'
	Тогда открылось окно 'Установки правил учета операций'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка правил учета операций (создание)'
	И я нажимаю кнопку выбора у поля "Кнопка учетной точки"
	Тогда открылось окно 'Кнопки учетных точек'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'               | 'Учетная точка' |
		| 'Перемещение между камерами' | 'Перемещения'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в поле 'Начало действия' я ввожу текст '01.01.2020 12:00:00'
	И я перехожу к закладке "Правила"
	И в таблице "ПравилаУчетаОпераций" я добавляю строку
	И в таблице "ПравилаУчетаОпераций" из выпадающего списка "Тип документа" я выбираю точное значение 'Перемещение'
	И я перехожу к следующему реквизиту
	И в таблице "ПравилаУчетаОпераций" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции выработки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Перемещение сыра' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в таблице "ПравилаУчетаОпераций" я завершаю редактирование строки
	И в таблице "ПравилаУчетаОпераций" я перехожу к строке:
		| 'N' | 'По номенклатуре' | 'Характеристика'    |
		| '1' | 'Нет'             | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ПравилаУчетаОперацийКонтекстноеМенюУдалить' на элементе формы с именем "ПравилаУчетаОпераций"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка правил учета операций (создание) *' в течение 20 секунд
	Тогда открылось окно 'Установки правил учета операций'
	И Я закрываю окно 'Установки правил учета операций'

Сценарий: 08_piece_rate_calculation.02.002 Установка правил учета операций для кнопки Поступление материалов
	И В командном интерфейсе я выбираю 'Производство' 'Установки правил учета операций'
	Тогда открылось окно 'Установки правил учета операций'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка правил учета операций (создание)'
	И я нажимаю кнопку выбора у поля "Кнопка учетной точки"
	Тогда открылось окно 'Кнопки учетных точек'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           | 'Учетная точка' |
		| 'Поступление материалов' | 'Поступления'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в поле 'Начало действия' я ввожу текст '01.01.2020 12:00:00'
	И я перехожу к закладке "Правила"
	И в таблице "ПравилаУчетаОпераций" я добавляю строку
	И в таблице "ПравилаУчетаОпераций" из выпадающего списка "Тип документа" я выбираю точное значение 'Поступление'
	И в таблице "ПравилаУчетаОпераций" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции выработки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'Поступление материалов' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в таблице "ПравилаУчетаОпераций" я завершаю редактирование строки
	И в таблице "ПравилаУчетаОпераций" я перехожу к строке:
		| 'N' | 'По номенклатуре' | 'Характеристика'    |
		| '1' | 'Нет'             | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ПравилаУчетаОперацийКонтекстноеМенюУдалить' на элементе формы с именем "ПравилаУчетаОпераций"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка правил учета операций (создание) *' в течение 20 секунд
	Тогда открылось окно 'Установки правил учета операций'
	И Я закрываю окно 'Установки правил учета операций'

Сценарий: 08_piece_rate_calculation.02.002 Установка правил учета операций для кнопки Поступление сырья
	И В командном интерфейсе я выбираю 'Производство' 'Установки правил учета операций'
	Тогда открылось окно 'Установки правил учета операций'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка правил учета операций (создание)'
	И я нажимаю кнопку выбора у поля "Кнопка учетной точки"
	Тогда открылось окно 'Кнопки учетных точек'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      | 'Учетная точка' |
		| 'Поступление сырья' | 'Поступления'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в поле 'Начало действия' я ввожу текст '01.01.2020 12:00:00'
	И я перехожу к закладке "Правила"
	И в таблице "ПравилаУчетаОпераций" я добавляю строку
	И в таблице "ПравилаУчетаОпераций" из выпадающего списка "Тип документа" я выбираю точное значение 'Поступление'
	И в таблице "ПравилаУчетаОпераций" я нажимаю кнопку выбора у реквизита "Операция"
	Тогда открылось окно 'Технологические операции выработки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Поступление сырья' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Установка правил учета операций (создание) *'
	И в таблице "ПравилаУчетаОпераций" я завершаю редактирование строки
	И в таблице "ПравилаУчетаОпераций" я перехожу к строке:
		| 'N' | 'По номенклатуре' | 'Характеристика'    |
		| '1' | 'Нет'             | '<не используются>' |
	И я выбираю пункт контекстного меню с именем 'ПравилаУчетаОперацийКонтекстноеМенюУдалить' на элементе формы с именем "ПравилаУчетаОпераций"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка правил учета операций (создание) *' в течение 20 секунд
	Тогда открылось окно 'Установки правил учета операций'
	И Я закрываю окно 'Установки правил учета операций'